"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ReverseString_1 = require("../methods/string/ReverseString");
const constants_1 = require("../constants");
/**
 * Converts a byte to a string with 8
 * characters of 0 or 1
 *
 * @export
 * @param {number} byte
 * @returns {string}
 */
function ByteToBitString(byte, order = constants_1.DEFAULT_BIT_ORDER) {
    const string = byte.toString(2);
    if (byte > 255) {
        throw new Error(`InvalidByte: ${byte} > 255`);
    }
    const filledString = '00000000'.substr(string.length) + string;
    switch (order) {
        case 'normal':
            return filledString;
        default:
            return ReverseString_1.ReverseString(filledString);
    }
}
exports.ByteToBitString = ByteToBitString;
//# sourceMappingURL=ByteToBitString.js.map