"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts_custom_error_1 = require("ts-custom-error");
const error_codes_1 = require("./error-codes");
class BaseError extends ts_custom_error_1.CustomError {
    constructor(debugMessage) {
        super();
        this.debugMessage = debugMessage;
    }
    get message() {
        let msg = error_codes_1.errorCodeToString(error_codes_1.ErrorCode.PRIMATIVE_OUT_OF_RANGE);
        if (this.debugMessage) {
            msg += ' ' + this.debugMessage;
        }
        return msg;
    }
}
exports.BaseError = BaseError;
//# sourceMappingURL=base.error.js.map