/// <reference types="node" />
import { Endian, BitIndex } from "../../constants";
/**
 * Get the bit at pos.bit
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {BitIndex} bit
 * @returns {boolean}
 */
export declare function GetBitAt(buffer: Buffer, pos: number, bit: BitIndex, endian?: Endian): boolean;
/**
 * Set the bit at pos.bit
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {BitIndex} bit
 * @param {boolean} value
 */
export declare function SetBitAt(buffer: Buffer, pos: number, bit: BitIndex, value: boolean, endian?: Endian): void;
/**
 * Toggle the bit at pos.bit
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {BitIndex} bit
 */
export declare function ToggleBitAt(buffer: Buffer, pos: number, bit: BitIndex, endian?: Endian): void;
