/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Binary-Coded Decimal to Byte
 *
 * @export
 * @param {number} bcd
 * @returns {number}
 */
export declare function BCDtoByte(bcd: number): number;
/**
 * Byte to Binary-Coded Decimal
 *
 * @export
 * @param {number} byte
 * @returns {number}
 */
export declare function ByteToBCD(byte: number): number;
/**
 * Get Binary-Coded Decimal value at specific byte
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
export declare function GetBCDAt(buffer: Buffer, pos: number, endian?: Endian): number;
/**
 * Set Binary-Coded Decimal value at specific byte
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} bcdValue
 */
export declare function SetBCDAt(buffer: Buffer, pos: number, bcdValue: number, endian?: Endian): void;
