"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const uint8_1 = require("./uint8");
const adapters_1 = require("../../adapters");
const constants_1 = require("../../constants");
/**
 * Gets a binary string representation of the target byte
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {('reversed' | 'normal')} [order='reversed']
 * @returns
 */
function GetByteBinaryString(buffer, pos, order = constants_1.DEFAULT_BIT_ORDER, endian = constants_1.DEFAULT_ENDIAN) {
    const byte = uint8_1.GetUInt8At(buffer, pos, endian);
    return adapters_1.ByteToBitString(byte, order);
}
exports.GetByteBinaryString = GetByteBinaryString;
//# sourceMappingURL=get-byte-binary-string.js.map