"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Get 8 bit signed value -128..127
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
function GetInt8At(buffer, pos) {
    const value = buffer.readInt8(pos);
    if (value < 128)
        return value;
    else
        return (value - 256);
}
exports.GetInt8At = GetInt8At;
/**
 * Set 8 bit signed value -128..127
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
function SetInt8At(buffer, pos, value) {
    if (value < -128) {
        value = -128;
    }
    if (value > 127) {
        value = 127;
    }
    buffer.writeInt8(value, pos);
}
exports.SetInt8At = SetInt8At;
//# sourceMappingURL=int8.js.map