"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const utils_1 = require("../../utils");
/**
 * Get 8 bit unsigned value 0..255
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
function GetUInt8At(buffer, pos, endian = constants_1.DEFAULT_ENDIAN) {
    const tempBuffer = utils_1.CloneBuffer(buffer);
    if (endian === 'BE') {
        utils_1.SwapEndieness(tempBuffer);
    }
    return tempBuffer[pos];
}
exports.GetUInt8At = GetUInt8At;
/**
 * Set 8 bit unsigned value 0..255
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
function SetUInt8At(buffer, pos, value, endian = constants_1.DEFAULT_ENDIAN) {
    if (endian === 'BE') {
        utils_1.SwapEndieness(buffer);
        buffer[pos] = value;
        utils_1.SwapEndieness(buffer);
    }
    else {
        buffer[pos] = value;
    }
}
exports.SetUInt8At = SetUInt8At;
//# sourceMappingURL=uint8.js.map