/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Get 32 bit float value
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} [precision=3]
 * @param {Endian} [endian='LE']
 * @returns {number}
 */
export declare function GetFloat32At(buffer: Buffer, pos: number, precision?: number, endian?: Endian): number;
/**
 * Set 32 bit float value
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 * @param {Endian} [endian='LE']
 * @returns {void}
 */
export declare function SetFloat32At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
