/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Get 64 bit double value
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {Endian} [endian='LE']
 * @returns {number}
 */
export declare function GetFloat64At(buffer: Buffer, pos: number, precision?: number, endian?: Endian): number;
/**
 * Set 64 bit double value
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 * @param {Endian} [endian='LE']
 * @returns {void}
 */
export declare function SetFloat64At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
