/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Get 16 bit signed value -32768..32767
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {Endian} [endian='LE'] the endian to use, defaults to little endian
 * @returns {number}
 */
export declare function GetInt16At(buffer: Buffer, pos: number, endian?: Endian): number;
/**
 * Set 16 bit signed value -32768..32767
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 * @param {Endian} [endian='LE'] the endian to use, defaults to little endian
 */
export declare function SetInt16At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
