/// <reference types="node" />
import { Endian } from "../../constants";
/**
 * Get 32 bit signed value -2147483648..2147483647
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {Endian} [endian='LE'] the endian to use, defaults to little endian
 * @returns {number}
 */
export declare function GetInt32At(buffer: Buffer, pos: number, endian?: Endian): number;
/**
 * Set 32 bit signed value -2147483648..2147483647
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 * @param {Endian} [endian='LE'] the endian to use, defaults to little endian
 */
export declare function SetInt32At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
