/// <reference types="node" />
import { Endian, BitOrder } from "../../constants";
/**
 * Get 16 bit unsigned value 0..65535
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
export declare function GetUInt16At(buffer: Buffer, pos: number, endian?: Endian): number;
/**
 * Set 16 bit unsigned value 0..65535
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
export declare function SetUInt16At(buffer: Buffer, pos: number, value: number, endian?: Endian): void;
/**
 * Gets a binary string representation of the target uint16
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {('reversed' | 'normal')} [order='reversed']
 * @returns
 */
export declare function GetUInt16BinaryString(buffer: Buffer, pos: number, order?: BitOrder): string;
