"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
/**
 * Get 32 bit unsigned value 0..4294967296
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @returns {number}
 */
function GetUInt32At(buffer, pos, endian = constants_1.DEFAULT_ENDIAN) {
    switch (endian) {
        case 'BE':
            return buffer.readUInt32BE(pos);
        case 'LE':
            return buffer.readUInt32LE(pos);
    }
}
exports.GetUInt32At = GetUInt32At;
/**
 * Set 32 bit unsigned value 0..4294967295
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} pos
 * @param {number} value
 */
function SetUInt32At(buffer, pos, value, endian = constants_1.DEFAULT_ENDIAN) {
    switch (endian) {
        case 'BE':
            buffer.writeUInt32BE(value, pos);
            break;
        case 'LE':
            buffer.writeUInt32LE(value, pos);
            break;
    }
    return;
}
exports.SetUInt32At = SetUInt32At;
//# sourceMappingURL=uint32.js.map