/// <reference types="node" />
import { Endian, NibbleSignificance } from "../../constants";
/**
 * Gets a nibble at a specific byte in the buffer
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} bytePos
 * @param {NibbleSignificance} significance
 * @param {Endian} [endian=DEFAULT_ENDIAN]
 * @returns {number}
 */
export declare function GetNibbleAt(buffer: Buffer, bytePos: number, significance: NibbleSignificance, endian?: Endian): number;
/**
 * Sets a nibble at a specific byte in the buffer
 *
 * @export
 * @param {Buffer} buffer
 * @param {number} bytePos
 * @param {NibbleSignificance} significance
 * @param {number} nibbleValue
 * @param {Endian} [endian=DEFAULT_ENDIAN]
 * @returns {void}
 */
export declare function SetNibbleAt(buffer: Buffer, bytePos: number, significance: NibbleSignificance, nibbleValue: number, endian?: Endian): void;
export declare function GetByteNibble(byte: number, significance: NibbleSignificance): number;
export declare function SetByteNibble(byte: number, significance: NibbleSignificance, nibbleValue: number): number;
