"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const string_parser_1 = require("./string-parser");
const constants_1 = require("../../constants");
/**
 *
 *
 * @export
 * @param {Buffer} buffer referenced buffer
 * @param {number} pos starting position
 * @param {number} length number of characters in the string
 * @param {BufferEncoding} [format=DEFAULT_STRING_ENCODING]
 * @returns
 */
function GetStringAt(buffer, pos, length, format = constants_1.DEFAULT_STRING_ENCODING) {
    const start = pos;
    const end = pos + length - 1;
    return string_parser_1.StringParser(buffer.slice(start, end), format);
}
exports.GetStringAt = GetStringAt;
//# sourceMappingURL=get-string-at.js.map