"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const string_decoder_1 = require("string_decoder");
const constants_1 = require("../../constants");
/**
 * Parses the entire buffer into a string based
 * on the specified encoding.
 *
 * @export
 * @param {Buffer} buffer
 * @param {BufferEncoding} [format=DEFAULT_STRING_ENCODING]
 * @returns {string}
 */
function StringParser(buffer, format = constants_1.DEFAULT_STRING_ENCODING) {
    let text = new string_decoder_1.StringDecoder(format).write(buffer);
    // text = text.replace('\0', '').replace(/[^a-z0-9 ,.?!]/ig, '');
    return text;
}
exports.StringParser = StringParser;
//# sourceMappingURL=string-parser.js.map