"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PrimativeNumber_1 = require("./PrimativeNumber");
const validators_1 = require("../validators");
class Int64 extends PrimativeNumber_1.PrimativeNumberBigInt {
    constructor(value) {
        super(value);
        if (validators_1.IsBigIntSupported()) {
            this.min = BigInt(-9223372036854775808);
            this.max = BigInt(9223372036854775807);
        }
        else {
            console.warn('WARNING: Using Int64 in node versions prior to 12.0.0 can cause rounding errors at large indexes');
            this.min = -9223372036854775808;
            this.max = 9223372036854775807;
        }
    }
    createArray(length) {
        return new Array(length).fill(new Int64());
    }
}
exports.Int64 = Int64;
//# sourceMappingURL=Int64.js.map