"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const validators_1 = require("../validators");
/**
 *
 *
 * @export
 * @abstract
 * @class PrimativeNumberBase
 */
class PrimativeNumberBase {
}
exports.PrimativeNumberBase = PrimativeNumberBase;
class PrimativeNumberArray extends Array {
    constructor(length) {
        super(length);
    }
}
exports.PrimativeNumberArray = PrimativeNumberArray;
/**
 *
 *
 * @export
 * @abstract
 * @class PrimativeNumberBigInt
 * @extends {PrimativeNumberBase}
 */
class PrimativeNumberBigInt extends PrimativeNumberBase {
    constructor(value) {
        super();
        if (validators_1.IsBigIntSupported()) {
            if (value !== undefined) {
                this._value = value;
            }
            else {
                this._value = BigInt(0);
            }
        }
        else {
            this._value = 0;
        }
    }
    get value() {
        return this._value;
    }
    set value(x) {
        validators_1.checkNumberInRange(x, this.min, this.max);
        this._value = x;
    }
    validate() {
        return validators_1.checkNumberInRange(this.value, this.min, this.max);
    }
    isInRange(value) {
        return validators_1.isInRange(value, this.min, this.max);
    }
}
exports.PrimativeNumberBigInt = PrimativeNumberBigInt;
/**
 *
 *
 * @export
 * @abstract
 * @class PrimativeNumber
 * @extends {PrimativeNumberBase}
 */
class PrimativeNumber extends PrimativeNumberBase {
    constructor(_value = 0) {
        super();
        this._value = _value;
    }
    get value() {
        return this._value;
    }
    set value(x) {
        validators_1.checkNumberInRange(x, this.min, this.max);
        this._value = x;
    }
    validate() {
        return validators_1.checkNumberInRange(this.value, this.min, this.max);
    }
    get isValid() {
        return this.isInRange(this.value);
    }
    isInRange(value) {
        return validators_1.isInRange(value, this.min, this.max);
    }
}
exports.PrimativeNumber = PrimativeNumber;
//# sourceMappingURL=PrimativeNumber.js.map